%define name	bochs
%define version	2.0.2
%define release 4mdk
%define bochsdir %{_datadir}/bochs

Summary:	Bochs Project x86 PC Emulator
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Emulators
URL:		http://bochs.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Source1:	dlxlinux4.tar.bz2
Patch0: %{name}-2.0.2-compile.patch.bz2
BuildRequires:	XFree86-devel readline-devel 
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Bochs is a portable x86 PC emulation software package that emulates
enough of the x86 CPU, related AT hardware, and BIOS to run DOS,
Windows '95, Minix 2.0, and other OS's, all on your workstation.

%package -n %name-dlxlinux
Summary: 	Small GNU/Linux distrib for Bochs project x86 PC emulator
Group:          Emulators
Requires:	%name

%description -n %name-dlxlinux
Bochs is a portable x86 PC emulation software package that emulates
enough of the x86 CPU, related AT hardware, and BIOS to run DOS,
Windows '95, Minix 2.0, and other OS's, all on your workstation.

%prep

%setup -q
# remove any references to CVS repository
find . -type d -name CVS | xargs rm -rf
%patch0 -p0
%build

%configure \
	--enable-sb16=linux \
	--enable-ne2000 \
	--enable-cdrom \
	--enable-vbe \
	--enable-split-hd \
	--enable-x86-64 --enable-sse=2 \
	--enable-all-optimizations \
	--with-x11 \
	--with-nogui \
	--without-wx \
	--without-sdl \
	--enable-readline \
	--disable-docbook
%make
%install
rm -rf $RPM_BUILD_ROOT

tar xjvf %{SOURCE1}
cd dlxlinux
mv bochsrc.txt bochsrc.txt.orig
sed -e "s/1\.1\.2/2\.0\.2/g"  -e 's,/usr/local/bochs/latest,/usr/share/bochs,g' < bochsrc.txt.orig > bochsrc.txt; rm -f bochsrc.txt.orig
cd ..

%makeinstall install_dlx

# fix docs
install -m 644 $RPM_BUILD_ROOT%{_datadir}/doc/bochs/bochsrc-sample.txt .
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

%post -p %{bochsdir}/install-x11-fonts

%preun -n %name-dlxlinux
# clean up the bochsout.txt that is always produced if you 
# run bochs-dlx.
rm -rf %{bochsdir}/dlxlinux/bochsout.txt core

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README CHANGES COPYING
%doc bochsrc-sample.txt
%doc docs-html
#
%{_bindir}/bochs
%{_bindir}/bximage
#
%dir %{bochsdir}
%{bochsdir}/BIOS-*
%{bochsdir}/VGABIOS-*
%{bochsdir}/install-x11-fonts
%{bochsdir}/test-x11-fonts
%{bochsdir}/vga.pcf
%dir %{bochsdir}/keymaps
%{bochsdir}/keymaps/*.map
%{bochsdir}/keymaps/convertmap.pl
#
%{_mandir}/man1/bochs.1*
%{_mandir}/man1/bximage.1*
%{_mandir}/man5/bochsrc.5*

%files -n %name-dlxlinux
%defattr(-, root, root)

%dir %{bochsdir}/dlxlinux
%{bochsdir}/dlxlinux/readme.txt
%{bochsdir}/dlxlinux/bochsrc.txt
%{bochsdir}/dlxlinux/hd10meg.img.gz
%{bochsdir}/dlxlinux/testform.txt
%{_mandir}/man1/bochs-dlx.1*
%{_bindir}/bochs-dlx

%changelog

* Tue Jul 29 2003 Michael Scherer <scherer.michael@free.fr> 2.0.2-4mdk 
- fix build, patch stolen from freebsd ( bug #54440 )
- added --enable-no-gui in order to be able to use it without X
- moved bochs-dlx to the bochs-dlxlinux package
- adjust all configure option, to not build some graphical subsystem by error
- added readline support.

* Thu Mar 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0.2-3mdk
- added XFree86-devel to BuildRequires

* Fri Feb 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-2mdk
- [Bug 1027] : split package

* Tue Jan 28 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2

* Mon Jan  6 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.1-2mdk
- Reintegrate my previous changes: enable x86-64 support, full
  optimizations. Installation from MDK 9.0/x86_64 CDs still fails
  though, but in late stage1 now. i.e. much farther than before.

* Sun Jan 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-1mdk
- 2.0.1

* Sat Dec 21 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0-1mdk
- Updated to release 2.0.

* Sat Dec  7 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0-0.pre3.2mdk
- Enable more optimizations. Also enable x86-64 emulation, though
  installation from MDK 9.0 CDs would segfault in early
  stage1/init. Probably some more instructions are still missing.

* Fri Dec  6 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0-0.pre3.1mdk
- 2.0 pre3

* Sat Aug 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-2mdk
- rebuild

* Wed Jul 24 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 1.4.1-1mdk
- upgraded to 1.4.1 (service release)

* Tue May 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4-3mdk
- rebuild against new libstdc++

* Mon Apr 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4-2mdk
- fix %post & %pre by adding %{version} to cure problem when 
  version changes ( thx Quel Qun )

* Sat Mar 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4-1mdk
- 1.4

* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.3-1mdk
- new

